import java.io.Serializable;
import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
//@Table(name="EMP", schema="HR")
@Table(name="EMP")
public class Employee implements Serializable {
  @Id
  @Column(name = "EMP_ID")
  private int id;
  @Column(name = "COMM")
  private String name;
  @Column(name = "SAL")
  private long salary;

  private CustomerType customerType;
  private Date timeCreated = new Date();
  private MyImage picture;
  
  public Employee() {
  }

  public Employee(int id) {
    this.id = id;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public long getSalary() {
    return salary;
  }

  public void setSalary(long salary) {
    this.salary = salary;
  }

  @Enumerated(EnumType.STRING)
  public CustomerType getCustomerType() { return customerType; }
  public void setCustomerType(CustomerType type) { customerType = type; }

  @Temporal(TemporalType.TIME)
  public Date getTimeCreated() { return timeCreated; }
  public void setTimeCreated(Date time) { timeCreated = time; }

  @Lob @Basic(fetch=FetchType.LAZY)
  public MyImage getPicture() { return picture; }
  public void setPicture(MyImage jpeg) { picture = jpeg; }

  public String toString() {
    return "Employee id: " + getId() + " name: " + getName() + " salary: " + getSalary();
  }
}
